version: '3.1'
services:
    mysql:
        container_name: 'contactr_mysql'
        image: 'mysql:8.0'
        working_dir: /application
        volumes:
            - '.:/application'
        environment:
            - MYSQL_ROOT_PASSWORD=root
            - MYSQL_DATABASE=contactr
            - MYSQL_USER=user
            - MYSQL_PASSWORD=password
        ports:
            - '23125:3306'
        networks:
          network:
            ipv4_address: 10.6.0.5
    webserver:
        container_name: 'contactr_nginx'
        image: 'nginx:alpine'
        working_dir: /application
        volumes:
            - '.:/application'
            - './phpdocker/nginx/nginx.conf:/etc/nginx/conf.d/default.conf'
        ports:
            - '23123:80'
        networks:
          network:
            ipv4_address: 10.6.0.3
    php-fpm:
        container_name: 'contactr_php'
        build: phpdocker/php-fpm
        working_dir: /application/api
        volumes:
            - '.:/application'
            - './phpdocker/php-fpm/php-ini-overrides.ini:/etc/php/8.1/fpm/conf.d/99-overrides.ini'
        networks:
          network:
            ipv4_address: 10.6.0.2



       
volumes:
  umami-db-data:
networks:
  network:
    driver: bridge
    ipam:
      config:
        - subnet: 10.6.0.0/16
          gateway: 10.6.0.1
